@if (stencilString("productpage_mobile_breadcrumb") == "display") {
	@media (max-width: screenSize("medium") - 1px) {
		.papaSupermarket-pageType--product {
			.breadcrumbs {
				display: flex;
				white-space: nowrap;
				padding: spacing('quarter');
				overflow: auto;
				margin-top: -(spacing("single"));
				margin-bottom: 0;
				align-items: baseline;
				//justify-content: flex-end;

				//& .breadcrumb:first-child{
				//	order: 10
				//}
				//& .breadcrumb:nth-last-child(2){
				//	order: 30
				//}
				//
				//& .breadcrumb:not(:first-child):not(:nth-last-child(2)){
				//	display: none;
				//}

				//&:after{
				//	content: '/  ...';
				//	order: 20;
				//	color: $crumb-font-color;
				//	font-size: $crumb-font-size;
				//	margin: $crumb-slash-margin;
				//	margin-right: 0;
				//
				//	@include breakpoint(xsmall) {
				//		margin: $crumb-slash-margin--xSmallUp;
				//	}
				//}
			}
		}
	}
}


// Images
// -----------------------------------------------------------------------------

.productView-images {
	margin-bottom: 0;

	@include breakpoint("small") {
		display: flex;
		align-items: flex-start;
		justify-content: space-between;
	}

	@include breakpoint("medium") {
		margin-bottom: spacing("double");
	}
}

.productView-images--bottom {
	@include breakpoint("small") {
		display: block;
	}
}

.productView-imageCarousel-main {
	@include u-listBullets("none");
	margin-bottom: spacing("single");

	.papaSupermarket-style--modern & {
		margin-bottom: spacing("half");
	}

	@include breakpoint("small") {
		order: 2;
		$tw: remCalc(to-number(get-width(stencilString('productthumb_size')))) + spacing("base") * 2;
		width: calc(100% - #{$tw});

		.productView-images--bottom & {
			width: 100%;
		}
	}

	html.js &:not(.slick-slider) > .productView-imageCarousel-main-item + .productView-imageCarousel-main-item {
		display: none;
	}
}

.productView-imageCarousel-main-item {
	position: relative;
	max-width: 100%;
	@include lazy-loaded-padding('product_size');

	img {
		@include lazy-loaded-img;
		@include object-fit(contain);
		border: 0;
		width: 100%;
		max-height: 100%;
		@include ie-only() {
			height: 100%;
		}
	}
}

.productView-imageCarousel-nav {
	@include u-listHorizontal;
	font-size: 0;
	margin-bottom: spacing("single");

	li {
		display: inline-block;
		width: get-width(stencilString('productthumb_size'));
		max-width: 100%;
	}

	.productView-images--bottom & {
		white-space: nowrap;
		overflow: auto;
	}

	.papaSupermarket-style--modern & {
		margin-bottom: spacing("half");
	}

	&.slick-initialized {
		overflow: visible;
	}

	@include breakpoint("small") {
		order: 1;
		width: get-width(stencilString('productthumb_size'));

		li {
			display: block;
		}

		.productView-images--bottom & {
			width: 100%;
			padding: 0 40px;

			.slick-prev {
				left: 0;
			}

			.slick-next {
				right: 0;
			}

			li {
				display: inline-block;
			}
		}
	}

	&.slick-vertical {
		padding: remCalc(40px) 0;

		.slick-prev,
		.slick-next {
			background: container("fill");
			height: auto;
			width: 100%;

			&:before {
				height: remCalc(15px);
				width: remCalc(20px);
				margin: 0 auto;
			}
		}

		.slick-disabled {
			opacity: 1;

			&:before {
				opacity: 0.2;
			}
		}
	}
}

.productView-imageCarousel-nav-item {
	border: container("border");
	margin: 0 spacing("half") spacing("half") 0;
	cursor: pointer;

	@include lazy-loaded-padding('productthumb_size');
	max-width: get-width(stencilString('productgallery_size'));
	position: relative;

	.productView-images--bottom & {
		margin: 0 spacing("quarter");
	}

	@include breakpoint("small") {
		margin: spacing("quarter") 0;
	}

	&.slick-current {
		border-color: container("borderColor", "dark");
	}

	.slick-vertical &.slick-slide {
		border: container("border");
		display: flex;

		&.slick-current {
			border-color: container("borderColor", "dark");
		}
	}

	img {
		@include lazy-loaded-img;
		@include object-fit(contain);
		margin: auto;
		max-height: 100%;
		border: 0;
		width: 100%;
	}
}

// Details
// -----------------------------------------------------------------------------

.productView-details {
    margin-bottom: spacing("single");
}


// Details - Product details
// -----------------------------------------------------------------------------

.productView-product {
    @include breakpoint("medium") {
        padding-bottom: 0;
        border-bottom: 0;
	}
}

.productView-title {
    font-size: fontSize("small");
    margin: 0 0 spacing("quarter");

    @include breakpoint("medium") {
        font-size: fontSize("largest");
    }
}

.productView-rating {
	margin: 0 0 spacing("single");

	.papaSupermarket-style--modern & {
		margin-bottom: spacing("half");
	}

	.icon {
		width: fontSize("base");
		height: fontSize("base");

		.papaSupermarket-style--modern & {
			width: remCalc(14);
			height: remCalc(14);
		}
	}

	//
	// hide empty rating on mobile small screen
	//
	.icon--ratingEmpty:first-child {
		display: none;

		~ .icon {
			display: none;
		}

		~ .productView-reviewLink {
			display: none;

			+ .productView-reviewLink {
				display: inline;
				float: none;
				margin-left: 0;

				a {
					color: $color-textLink;

					&:hover,
					&:focus {
						color: $color-textLink-hover;
					}

					&:active {
						color: $color-textLink-active;
					}
				}
			}
		}

		@include breakpoint("small") {
			display: inline-block;

			~ .icon {
				display: inline-block;
			}

			~ .productView-reviewLink {
				display: inline-block;

				+ .productView-reviewLink {
					float: right;
					margin-left: spacing("single");
				}
			}
		}
	}
}

.productView-brand {
	font-size: fontSize("base");
	margin: 0 0 spacing("quarter");

    a {
    	text-decoration: none;
    }
}


// Details - Product price
// -----------------------------------------------------------------------------

.productView-price {
	@include clearfix;
	font-size: fontSize("small");
	//margin-top: -(spacing("half"));
	display: flex;
	flex-flow: row wrap;
	align-items: flex-end;
	//margin-right: auto;
	margin: 0 (-(spacing("quarter"))) spacing("double") (-(spacing("quarter")));

	// Price Section
    // ----------------------------------------------------

	.price-section{

		&__container{
			display: flex;
			flex-flow: row wrap;
		}

		&__inner{
			flex: 0 0 auto;
			padding: spacing("quarter") 0;
		}

	}

    .price-section {
		line-height: 1.15;
		//display: flex;
		//flex-flow: row wrap;
		//align-items: baseline;
		//margin-right: spacing("single");
		flex: 0 0 auto;
		padding: spacing("quarter");

		.price-label,
		.price-now-label,
		.price-was-label{
			//flex: 0 0 100%;
			display: block;
		}
	}

	.price-section--minor {
		color: inherit;
    }

	.price-section--discount{
		flex: 0 0 100%;

		&.price{
			font-size: fontSize("large");
		}
	}

	.price-section--saving {
		flex: 0 0 100%;
		font-weight: fontWeight("bold");
		font-size: fontSize("base");
		display: block;
		color: inherit;
		//margin-top:	spacing("half");
		//margin-bottom: spacing("single");

		.papaSupermarket-style--modern {
			font-size: fontSize("smallest");
		}

		.price {
			min-width: auto;
			color: inherit;
			font-size: inherit;

			&:nth-child(2) {
				color: stencilColor("color-price");
			}
		}
	}

    //.rrp-price--withTax,
    //.rrp-price--withoutTax {
	//	margin-bottom: 0;
	//}

	//.rrp-price--withoutTax {
	//	padding-top: 0;
	//}

	//.non-sale-price--withTax {
	//	~ .price-section {
	//		margin-top:	spacing("base");
	//	}
	//}


    // Price
    // ----------------------------------------------------

    .price {
		//color: stencilColor("color-textSecondary");
		font-size: fontSize("largest");
		//margin-top: spacing("quarter");
		line-height: 1;
	}

    .price--main {
		color: stencilColor("color-price");
		font-weight: fontWeight("bold");
    }

	.price--call {
		color: $color-primary;
	}

	.price--login {
		color: $color-primary;
	}


    // Misc
    // ----------------------------------------------------

    .price-label,
    .price-now-label,
    .price-was-label {
		// display: block !important;
		font-size: fontSize("base");
		text-decoration: none;
		font-size: fontSize("smallest");
		color: $color-textSecondary;
		//text-transform: uppercase;
    }

	abbr {
		font-size: fontSize("base");
		text-decoration: none;
		font-size: fontSize("smallest");
		color: $color-textSecondary;
		//text-transform: uppercase;
		//margin-top: spacing("quarter");
		align-self: flex-start;
	}

}



.productView-reviewLink {
	.papaSupermarket-style--modern & {
		margin-left: spacing("quarter");
	}

	&:first-child {
		margin-left: 0;
	}

	> a {
		text-decoration: none;
		color: $color-textBase;

		&:hover {
			color: $color-textBase-hover;
		}

		&:active {
			color: $color-textBase-active;
		}

		.papaSupermarket-style--modern & {
			color: $color-textLink;
		}
	}

	+ .productView-reviewLink {
		float: right;

		.papaSupermarket-style--modern & {
			float: none;
			display: inline-block;
		}

		@include breakpoint("medium") {
			float: none;
		}

		a {
			color: $color-textLink;

			&:hover {
				color: $color-textLink-hover;
			}

			&:active {
				color: $color-textLink-active;
			}

			.papaSupermarket-style--modern & {
				color: $color-primary;

				&:hover {
				    color: $color-textLink-hover;
				}

				&:active {
				    color: $color-textLink-active;
				}
			}
		}
	}
}

// Details - Product Information
// -----------------------------------------------------------------------------

.productView-info {
	border-top: container("border");
	margin-top: 0;

	.papaSupermarket-style--modern & {
		margin-bottom: spacing("half");
	}
}

.productView-info > :first-child,
.productView-info > :nth-child(2) {
	margin-top: spacing("single");

	.papaSupermarket-style--modern & {
		margin-top: spacing("half");
	}
}

.productView-info-name {
	font-family: $header-font-family;
	font-weight: fontWeight("bold");
	font-size: fontSize("base");
	text-transform: uppercase;
	float: left;
	clear: both;
	margin: spacing("quarter") spacing("half") 0 0;
}

.productView-info-value {
	float: left;
	margin: spacing("quarter") spacing("half") 0 0;
}

// Details - Bulk pricing
// -----------------------------------------------------------------------------

.productView-info-bulkPricing {
	clear: both;
}

.productView-bulkPricing {
	padding: spacing("single") 0;
	border-top: container("border");

	.papaSupermarket-style--modern & {
		padding: spacing("half") 0;
	}
}

.productView-bulkPricing-heading {
	margin: 0 0 spacing("half");
	font-family: $header-font-family;
	font-weight: fontWeight("bold");
	font-size: fontSize("base");
	text-transform: uppercase;
}

.productView-bulkPricing-description {
	margin-bottom: spacing("half");
}

.productView-bulkPricing-table {
	margin: 0;

	@if $theme-style == "compact" {
		font-weight: fontWeight("bold");

		@include breakpoint("small") {
			width: auto;
		}

		tr td {
			padding: spacing("third") spacing("base");

			&:first-child {
				background-color: container("fill", "dark");
			}
		}
	}
}

// Details - Product options
// -----------------------------------------------------------------------------
.productView-options {
	text-align: left;
	margin-bottom: spacing("half");

	.button {
		.papaSupermarket-style--modern & {
			@include breakpoint("large") {
				margin-bottom: 0;
			}
		}
	}

	.form:last-child .form-action .button:last-child {
		.papaSupermarket-style--modern & {
			margin-bottom: 0;
		}
	}

	.form-input[type="number"] {
        @include breakpoint("small") {
            width: 7rem;
        }
    }

	.form-field {
		margin-bottom: spacing("single");

		.papaSupermarket-style--modern & {
			margin-bottom: spacing("half");
		}

		> .form-checkbox + .form-label {
			display: inline-block;

			.papaSupermarket-style--modern & {
			    margin-bottom: spacing("third");
			}
		}

		// Override the base file
		> .form-checkbox + .form-label,
        > .form-radio + .form-label {
			margin-left: 0;
			width: 100%;
		}

		.form-select {
			.papaSupermarket-style--modern & {
				margin-bottom: spacing("third");
			}
		}

		.form-increment {
			.papaSupermarket-style--modern & {
				margin-bottom: spacing("third");
			}
		}
	}

	.form-action {
		.papaSupermarket-style--modern & {
			@include breakpoint("medium") {
				margin-top: 0;
			}
		}

		.button {
			padding-left: spacing("single");
			padding-right: spacing("single");

			@if $theme-style == "compact" {
				padding-top: spacing("half") + spacing("quarter");
				padding-bottom: spacing("half") + spacing("quarter");
			}
		}

		.dropdown-menu-button {
			padding-left: spacing("double");
			padding-right: spacing("double");

			.icon {
				position: absolute;
				right: spacing("single");
			}
		}
	}

	.form-wishlist {
		@include breakpoint("medium") {
			display: inline-block;
			width: 100%;
			margin-bottom: 0;
		}

		@include breakpoint("large") {
			width: 50%;
		}

		.button {
			@include breakpoint("large") {
				width: 100%;
			}
		}

		&.form-wishlist--icon {
			width: auto;

			padding-left: spacing("single");
			padding-right: spacing("single");

			@if $theme-style == "compact" {
				padding-top: spacing("half");
				padding-bottom: spacing("half");
			}@else {
				padding-top: spacing("fifth");
				padding-bottom: spacing("fifth");
			}
		}
	}

	.wishlist-dropdown-icon{
		width: fontSize("larger");
	}

	.form--addToCart {

		.form-action {
			@include breakpoint("small") {
				padding-left: 0;
				padding-right: spacing("single") / 2;
			}

			@include breakpoint("small") {
				float: left;
				width: 50%;
			}

			@include breakpoint("medium") {
				width: 100%;
				padding-right: 0;
			}

			@include breakpoint("large") {
				width: 50%;
				padding-right: spacing("single") / 2;

				.button {
					margin-right: 0;
					width: 100%;
				}
			}

			@include breakpoint("xlarge") {
				width: 50%;
			}
		}
	}

	.form--wishlist {
		.form-action {
			@include breakpoint("small") {
				padding-left: spacing("single") / 2;
				padding-right: 0;
			}

			@include breakpoint("small") {
				float: left;
				width: 50%;
			}

			@include breakpoint("large") {
				.button {
					margin-right: 0;
					width: 100%;
				}
			}

			@include breakpoint("xlarge") {
				width: width("5/12");
			}
		}
	}
}

.emthemesModez-productView-optionsGrid {
	font-size: 0;

	.form-field {
		font-size: fontSize("base");
	}

	[data-product-option-change] {
		display: inline;
	}

	.form-label [data-option-value] {
		font-weight: fontWeight("normal");
	}
}

%productView-options--Ncol {
	.emthemesModez-productView-optionsGrid {
		margin: 0 (-(spacing("single")) / 2);
		position: relative;

		.form-field {
			width: calc(100% - #{spacing("single")});
			margin: 0 spacing("single") / 2 spacing("half");
			border: container("border");
			padding: spacing("base");
			display: inline-block;
			vertical-align: top;
		}
	}
}

.productView-options--2col {
	@extend %productView-options--Ncol;

	.emthemesModez-productView-optionsGrid {
		.form-field {
			@include breakpoint("small") {
				width: calc(#{width("6/12")} - #{spacing("single")});
			}
		}
	}
}


.productView-options--3col {
	@extend %productView-options--Ncol;

	.emthemesModez-productView-optionsGrid {
		.form-field {
			@include breakpoint("small") {
				width: calc(#{width("4/12")} - #{spacing("single")});
			}

			@include breakpoint("medium") {
				width: calc(#{width("6/12")} - #{spacing("single")});
			}

			@include breakpoint("xlarge") {
				width: calc(#{width("4/12")} - #{spacing("single")});
			}
		}
	}
}



// Product list (with images)
// -----------------------------------------------------------------------------

.productOptions-list-item {
	padding: spacing("half");
}

.productOptions-list-item-figure {
	@if (stencilString("productthumb_size") != 'original') {
		width: get-width(stencilString("productthumb_size"));
		max-width: 40%;
	}
}

.productOptions-list-item-image {
	width: 100%;
}


// Details - Product Description
// -----------------------------------------------------------------------------

%productView-responsive-tabs {
	.tabs {
		display: none;

		@include breakpoint("medium") {
			display: block;
		}
	}

	.tab-content.has-jsContent {
		height: auto;
		visibility: visible;
		overflow: visible;

		@include breakpoint("medium") {
			height: 0;
			visibility: hidden;
			overflow: hidden;

			&.is-active {
				height: auto;
				visibility: visible;
				overflow: visible;
			}
		}
	}

	.tab-content:not(.has-jsContent) {
		display: block;

		@include breakpoint("medium") {
			display: none;

			&.is-active {
				display: block;
			}
		}
	}

	.page-heading {
		@extend %emthemesModez-section-page-heading;

		html .papaSupermarket-style--modern & {
			padding: spacing("quarter");
		}

		html & {
			@include breakpoint("medium") {
				display: none;
			}
		}
	}

	.papaSupermarket-style--modern & {
	    .tabs {
	        @include breakpoint("medium") {
	            background-color: darken(container("fill"), 2);
	        }
		}

	    .tab {
	        @include breakpoint("medium") {
	            border-top: 0;
	            border-left: 1px solid transparent;
				border-right: container("border");
			}

			&.is-active {
			    @include breakpoint("medium") {
			        background-color: container("fill");
			        border-bottom-color: container("fill");
			        &:first-child {
			            border-left-color: transparent;
			        }
			        .tab-title {
			            color: $color-primary;
			            font-weight: fontWeight("bold");
			        }
				}
			}
		}

		.tab-title {
			@include breakpoint("medium") {
			    font-size: fontSize("smaller");
			    font-weight: fontWeight("bold");
			}
		}

	    .tab-content {
	        padding: spacing("half") 0;
	        @include breakpoint("medium") {
	            padding: spacing("single");
	        }
	    }
	    .tabs-contents {
	        margin-bottom: 0;
	    }
	    .table {
	        margin-bottom: spacing("half");
	    }
	    .productView-addition-table {
	        margin: 0;
	    }
	}
}

.productView-description {
	@extend %productView-responsive-tabs;

	.productView-description-tabContent {
		overflow-x: auto;
	}
}

[data-custom-tab] {
	html.js .productView-description-tabContent & {
		display: none;
	}
}

// Details - Additional Information (custom fields table)
// -----------------------------------------------------------------------------

.productView-addition-table {
	width: auto;

	.productView-info-name,
	.productView-info-value {
		margin: 0;
	}
}

// Tabs on product page
// ----------------------------------------------------------------------------
%productView-productTabs {
	html .papaSupermarket-style--modern & {
	    padding: spacing("quarter");
	    @include breakpoint("medium") {
	        padding: 0;
	        margin-top: spacing("single");
	    }
	    .page-heading {
	        text-align: left;
	        padding: 0 spacing("single");
	    }
	    .emthemesModez-mobile-collapse-content {
	        background-color: container("fill");
	        border: container("border");
	        border-radius: $container-border-radius;
	        padding: spacing("half");
	        @include breakpoint("medium") {
	            padding: spacing("single");
	        }
		}
		.emthemesModez-mobile-collapse-handle {
			padding: spacing("half");
			margin-left: 1px;
			margin-right: 1px;
		}
	    .tabs {
	        background-color: transparent;
	        border-bottom: 0;
	    }
	    .tab {
			border: 0;
			padding: 0 spacing("half");

	        &.is-active {
	            background-color: transparent;
	            .tab-title {
	                color: stencilColor("color-textHeading");
					font-weight: fontWeight("normal");

					@include breakpoint("medium") {
						border-bottom: 2px solid stencilColor("color-textHeading");
					}
	            }
	        }
	    }
	    .tab-title {
	        padding: 0;
	        font-size: fontSize("large");
			font-weight: fontWeight("normal");

			@include breakpoint("medium") {
				color: stencilColor("color-textSecondary");
			}
	    }
	    .tab-content {
	        @include breakpoint("medium") {
				padding: 0;

				&.is-active {
					margin-top: spacing("single");
				}
	        }
	    }
	}
}

.productView-productTabs {
	@extend %productView-responsive-tabs;
	@extend %productView-productTabs;

	.page-heading + .productCarousel {
		$pd: spacing("half");
		$h: fontSize("base") * lineHeight("base") + spacing("single"); // same page-heading height
		$t: spacing("single");

		@if $theme-style == "modern" {
			$pd: spacing("quarter");
			$h: remCalc(fontSize("large") * lineHeight("base"));
			$t: spacing("single");
		}

		.slick-prev,
		.slick-next	{
			@include breakpoint("medium") {
				top: -($t + $h);
				padding: $pd;

				&:before {
					width: $h - $pd * 2;
					height: $h - $pd * 2;
				}
			}

			// .papaSupermarket-style--modern & {
			// 	top: -2.75rem;

			// 	@include breakpoint("medium") {
			// 		top: -3.25rem;
			// 	}
			// }
		}

		.slick-prev {
			@include breakpoint("medium") {
				right: $h + spacing("quarter");
			}
		}

		.slick-next {
			@include breakpoint("medium") {
				right: spacing("quarter");
			}
		}
	}

	.papaSupermarket-style--modern & {
		.productCarousel {
			margin: 0;
		}

		.productCarousel-slide {
			padding: 0 spacing("quarter") spacing("quarter");
		}
	}
}

// Review Tabs
// ----------------------------------------------------------------------------
.productView-reviewTabs {
	@extend %productView-responsive-tabs;
	@extend %productView-productTabs;
}
